package com.ss.android.ugc.aweme.feed.ui.instagram;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public final class InsDialogSettings {
    @c(LIZ = "body")
    public String body = "body";
    @c(LIZ = "cancel_btn_text")
    public String cancelBtnText = "not now";
    @c(LIZ = "jump_url")
    public String jumpUrl = "";
    @c(LIZ = "ok_btn_text")
    public String okBtnText = "ok";
    @c(LIZ = "title")
    public String title = "title";

    static {
        Covode.recordClassIndex(79677);
    }

    public final String getBody() {
        return this.body;
    }

    public final String getCancelBtnText() {
        return this.cancelBtnText;
    }

    public final String getJumpUrl() {
        return this.jumpUrl;
    }

    public final String getOkBtnText() {
        return this.okBtnText;
    }

    public final String getTitle() {
        return this.title;
    }

    public final void setBody(String str) {
        M12.LIZ(str);
        this.body = str;
    }

    public final void setCancelBtnText(String str) {
        M12.LIZ(str);
        this.cancelBtnText = str;
    }

    public final void setJumpUrl(String str) {
        M12.LIZ(str);
        this.jumpUrl = str;
    }

    public final void setOkBtnText(String str) {
        M12.LIZ(str);
        this.okBtnText = str;
    }

    public final void setTitle(String str) {
        M12.LIZ(str);
        this.title = str;
    }
}
